org.hibernate.search.spi.impl

## Interface SearchFactoryState

- All Known Subinterfaces:
    ExtendedSearchIntegratorWithShareableState
  All Known Implementing Classes:
    ImmutableSearchFactory, MutableSearchFactory, MutableSearchFactoryState

      public interface SearchFactoryState

  Represents the sharable state of a search factory
  Author:
    Emmanuel Bernard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `enlistWorkerInTransaction()`
    `IndexManagerHolder` | `getAllIndexesManager()`
    `int` | `getCacheBitResultsSize()`
    `Properties` | `getConfigurationProperties()`
    `TypeHierarchy` | `getConfiguredTypeHierarchy()`
    `TimeoutExceptionFactory` | `getDefaultTimeoutExceptionFactory()`
    `IndexedTypeMap<DocumentBuilderContainedEntity>` | `getDocumentBuildersContainedEntities()`
    `ErrorHandler` | `getErrorHandler()`
    `FilterCachingStrategy` | `getFilterCachingStrategy()`
    `Map<String,FilterDef>` | `getFilterDefinitions()`
    `IndexedTypeMap<EntityIndexBinding>` | `getIndexBindings()`
    `TypeHierarchy` | `getIndexedTypeHierarchy()`
    `IndexingMode` | `getIndexingMode()`
    `IndexManagerFactory` | `getIndexManagerFactory()`
    `InstanceInitializer` | `getInstanceInitializer()`
    `Map<IndexManagerType,SearchIntegration>` | `getIntegrations()`
    `SearchMapping` | `getProgrammaticMapping()`
    `ServiceManager` | `getServiceManager()`
    `Statistics` | `getStatistics()`
    `TimingSource` | `getTimingSource()`
    `Worker` | `getWorker()`
    `LuceneWorkSerializer` | `getWorkSerializerState()`
    `boolean` | `isDeleteByTermEnforced()`
    `boolean` | `isIdProvidedImplicit()`
    `boolean` | `isIndexMetadataComplete()`
    `boolean` | `isMultitenancyEnabled()`
    `boolean` | `isTransactionManagerExpected()`

- - ### Method Detail

    - #### getDocumentBuildersContainedEntities

          IndexedTypeMap<DocumentBuilderContainedEntity> getDocumentBuildersContainedEntities()

    - #### getIndexBindings

          IndexedTypeMap<EntityIndexBinding> getIndexBindings()

    - #### getIndexingMode

          IndexingMode getIndexingMode()

    - #### getWorker

          Worker getWorker()

    - #### getFilterDefinitions

          Map<String,FilterDef> getFilterDefinitions()

    - #### getFilterCachingStrategy

          FilterCachingStrategy getFilterCachingStrategy()

    - #### getIntegrations

          Map<IndexManagerType,SearchIntegration> getIntegrations()

    - #### getCacheBitResultsSize

          int getCacheBitResultsSize()

    - #### getConfigurationProperties

          Properties getConfigurationProperties()

    - #### getConfiguredTypeHierarchy

          TypeHierarchy getConfiguredTypeHierarchy()

      Returns:
        The type hierarchy for all configured types, indexed or not.

    - #### getIndexedTypeHierarchy

          TypeHierarchy getIndexedTypeHierarchy()

      Returns:
        The type hierarchy for configured types that are indexed (for instance because they are annotated with @Indexed)

    - #### getServiceManager

          ServiceManager getServiceManager()

    - #### isTransactionManagerExpected

          boolean isTransactionManagerExpected()

    - #### getAllIndexesManager

          IndexManagerHolder getAllIndexesManager()

    - #### getErrorHandler

          ErrorHandler getErrorHandler()

    - #### getInstanceInitializer

          InstanceInitializer getInstanceInitializer()

    - #### getDefaultTimeoutExceptionFactory

          TimeoutExceptionFactory getDefaultTimeoutExceptionFactory()

    - #### getTimingSource

          TimingSource getTimingSource()

    - #### getProgrammaticMapping

          SearchMapping getProgrammaticMapping()

    - #### isIndexMetadataComplete

          boolean isIndexMetadataComplete()

    - #### isDeleteByTermEnforced

          boolean isDeleteByTermEnforced()

    - #### isIdProvidedImplicit

          boolean isIdProvidedImplicit()

    - #### isMultitenancyEnabled

          boolean isMultitenancyEnabled()

    - #### getIndexManagerFactory

          IndexManagerFactory getIndexManagerFactory()

    - #### enlistWorkerInTransaction

          boolean enlistWorkerInTransaction()

    - #### getStatistics

          Statistics getStatistics()

    - #### getWorkSerializerState

          LuceneWorkSerializer getWorkSerializerState()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved